io.undertow.security.idm

## Enum DigestAlgorithm

- java.lang.Object
- - java.lang.Enum<DigestAlgorithm>
  - - io.undertow.security.idm.DigestAlgorithm

All Implemented Interfaces:
  Serializable, Comparable<DigestAlgorithm>

    public enum DigestAlgorithm
    extends Enum<DigestAlgorithm>

Enumeration of the supported digest algorithms.

Author:
  Darran Lofthouse

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MD5`
`MD5_SESS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DigestAlgorithm` `forName(String name)`
`String` `getAlgorithm()`
`MessageDigest` `getMessageDigest()`
`String` `getToken()`
`boolean` `isSession()`
`static DigestAlgorithm` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DigestAlgorithm[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MD5

    public static final DigestAlgorithm MD5

#### MD5_SESS

    public static final DigestAlgorithm MD5_SESS

### Method Detail

#### values

    public static DigestAlgorithm[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DigestAlgorithm c : DigestAlgorithm.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DigestAlgorithm valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getToken

    public String getToken()

#### getAlgorithm

    public String getAlgorithm()

#### isSession

    public boolean isSession()

#### getMessageDigest

    public MessageDigest getMessageDigest()
                                   throws NoSuchAlgorithmException

Throws:
  `NoSuchAlgorithmException`

#### forName

    public static DigestAlgorithm forName(String name)